use crate::{Player, JsonValue, command::Commands};

#[derive(Clone, Debug)]
pub struct ClientInfo {
	pub addr: String,
	pub port: u16,
	pub proto_version: i32,
	pub proto_name: &'static str,
}

#[derive(Debug)]
pub enum ClientEvent {
	Handshake(ClientInfo),
	Join(Player),
	KeepAlive(i64),
	Command(String),
	Message(String),
	Disconnect,
}

#[derive(Debug)]
pub enum ServerEvent {
	Disconnect(Option<JsonValue>),
	KeepAlive(i64),
	SystemMessage(JsonValue, bool),
	ChatMessage(JsonValue, JsonValue),
	UpdateCommands(Commands),
}
