use uuid::Uuid;

use crate::{Player, JsonValue};

pub enum PluginEvent {
	Kick(Uuid, Option<JsonValue>),
	Chat(JsonValue, Option<Uuid>),
	System(JsonValue, Option<Uuid>),
	UpdateCommands,
}

#[derive(Clone)]
pub struct ConnectionInfo {
	pub server_addr: (String, u16),
	pub remote_addr: (String, u16),
	pub protocol: (i32, String),
}

pub enum ServerEvent {
	Join(Player, ConnectionInfo),
	Leave(Player),
	Command(Player, String),
	Message(Player, String),
}
